Page MenuHomePhabricator

Hardware asset tag Netbox/DNS mgmt inconsistencies
Closed, ResolvedPublic

Description

Working on the auto-genration of management DNS records from Netbox I've found a bunch of Asset tag inconsistencies between Netbox and the current manually crafted DNS repo that needs some manual verification, also to be sure that they match the physical label on the hosts too.

Here the ones I've found so far:

  • restbase1021: dns=wmf5166; Netbox=WMF5766; physical_label=WMF5166
  • labstore1007: dns=wmf7124; Netbox=WMF7125; physical_label=WMF7125; Netbox has labstore1007-array1 for WMF7124
  • lvs1013: dns=wmf7311; Netbox=WMF7340; physical_label=WMF7340; Netbox has frmon1001 for WMF7311
  • lvs1014: dns=wmf7312; Netbox=WMF7341; physical_label=WMF7341; Netbox has qfx5100-spare1-eqiad for WMF7312
  • lvs1015: dns=wmf7313; Netbox=WMF7342; physical_label=WMF7342; Netbox has qfx5100-spare2-eqiad for WMF7313
  • lvs1016: dns=wmf7314; Netbox=WMF7343; physical_label=WMF7343; Netbox has ex4300-spare1-eqiad for WMF7314

I've also found a bunch of missing asset tag records in the DNS repo and for those I'm sending CRs shortly.

Details

Related Gerrit Patches:

Event Timeline

Volans created this task.Dec 2 2019, 11:58 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 2 2019, 11:58 AM
Volans triaged this task as Medium priority.Dec 2 2019, 11:58 AM

Change 554079 had a related patch set uploaded (by Volans; owner: Volans):
[operations/dns@master] frack: add missing asset tag management records

https://gerrit.wikimedia.org/r/554079

Change 554080 had a related patch set uploaded (by Volans; owner: Volans):
[operations/dns@master] eqsin: add missing mgmt records

https://gerrit.wikimedia.org/r/554080

Change 554081 had a related patch set uploaded (by Volans; owner: Volans):
[operations/dns@master] eqiad: add missing mgmt records

https://gerrit.wikimedia.org/r/554081

Change 554082 had a related patch set uploaded (by Volans; owner: Volans):
[operations/dns@master] codfw: add missing mgmt records

https://gerrit.wikimedia.org/r/554082

Change 554083 had a related patch set uploaded (by Volans; owner: Volans):
[operations/dns@master] codfw: remove old wezen record

https://gerrit.wikimedia.org/r/554083

Restricted Application added a project: Operations. · View Herald TranscriptDec 2 2019, 3:56 PM

Change 554083 merged by Filippo Giunchedi:
[operations/dns@master] codfw: remove old wezen record

https://gerrit.wikimedia.org/r/554083

Change 554082 merged by Volans:
[operations/dns@master] codfw: add missing mgmt records

https://gerrit.wikimedia.org/r/554082

Change 554079 merged by Volans:
[operations/dns@master] frack: fix asset tag management records

https://gerrit.wikimedia.org/r/554079

Change 561605 had a related patch set uploaded (by Volans; owner: Volans):
[operations/dns@master] esams: add missing asset tag records

https://gerrit.wikimedia.org/r/561605

Change 561606 had a related patch set uploaded (by Volans; owner: Volans):
[operations/dns@master] frack: add missing asset tag records

https://gerrit.wikimedia.org/r/561606

@Jclark-ctr by any chance do you have an ETA for this task? Just to know and to plan accordingly something related.

Change 554080 merged by Volans:
[operations/dns@master] eqsin: add missing mgmt records

https://gerrit.wikimedia.org/r/554080

Change 561679 had a related patch set uploaded (by Volans; owner: Volans):
[operations/dns@master] Remove stale management records

https://gerrit.wikimedia.org/r/561679

Change 554081 merged by Volans:
[operations/dns@master] eqiad: add missing mgmt records

https://gerrit.wikimedia.org/r/554081

Change 561605 merged by Volans:
[operations/dns@master] esams: add missing asset tag records

https://gerrit.wikimedia.org/r/561605

Change 561856 had a related patch set uploaded (by Volans; owner: Volans):
[operations/dns@master] eqiad: add missing mgmt asset tag records

https://gerrit.wikimedia.org/r/561856

Change 561857 had a related patch set uploaded (by Volans; owner: Volans):
[operations/dns@master] Fix network devices management records

https://gerrit.wikimedia.org/r/561857

Change 561606 merged by Volans:
[operations/dns@master] frack: add missing asset tag records

https://gerrit.wikimedia.org/r/561606

Change 561679 merged by Volans:
[operations/dns@master] Remove stale management records

https://gerrit.wikimedia.org/r/561679

Jclark-ctr updated the task description. (Show Details)Jan 3 2020, 11:17 PM
Jclark-ctr updated the task description. (Show Details)Jan 3 2020, 11:21 PM
Jclark-ctr updated the task description. (Show Details)Jan 3 2020, 11:23 PM

Verified host asset tags updated ticket . Corrected labstore1007 in netbox.

Change 561925 had a related patch set uploaded (by Volans; owner: Volans):
[operations/dns@master] mgmt: fix asset tags based on the physical label

https://gerrit.wikimedia.org/r/561925

Change 561856 merged by Volans:
[operations/dns@master] eqiad: add missing mgmt asset tag records

https://gerrit.wikimedia.org/r/561856

Change 561857 merged by Volans:
[operations/dns@master] Fix network devices management records

https://gerrit.wikimedia.org/r/561857

Change 561925 merged by Volans:
[operations/dns@master] mgmt: fix asset tags based on the physical label

https://gerrit.wikimedia.org/r/561925

Volans closed this task as Resolved.Jan 15 2020, 4:38 PM
Volans updated the task description. (Show Details)